agency-board
PATCH /v1/agency/boards/{boardId}/cards/{cardId}/attachments/{attachmentId}
Choose whether the client can see this file.
Autentifikacija
Pošaljite API ključ kao bearer token. Ova krajnja točka ne navodi određenu dozvolu u specifikaciji, stoga dajte svom ključu najmanje što mu je potrebno i provjerite odgovor umjesto da pretpostavljate.
Ova krajnja točka ne prihvaća ID organizacije. Vaš ključ već identificira organizaciju kojoj pripada, a odgovor je ograničen na nju.
Isprobajte
Zamijenite sve unutar šiljastih zagrada svojim vlastitim vrijednostima, a rezervirano mjesto za ključ s ključem iz vaše nadzorne ploče.
curl -X PATCH https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/attachments/{attachmentId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "visibility": <AgencyBoardVisibility> }'Prijavljeni ste? API konzola na vašoj nadzornoj ploči automatski unosi stvarni ID vaše organizacije i vaš vlastiti ključ te šalje zahtjev prema aktivnom API-ju kako biste mogli vidjeti stvarni odgovor. Otvori ovu krajnju točku u API konzoli
Parametri
| Naziv | Vrsta | Obavezno | Što je to |
|---|---|---|---|
boardId (path) | Uuid | Da | Project board ID (UUIDv7). |
cardId (path) | Uuid | Da | Board card ID (UUIDv7). |
attachmentId (path) | Uuid | Da | Board card attachment ID (UUIDv7). |
Tijelo zahtjeva
| Naziv | Vrsta | Obavezno | Što je to |
|---|---|---|---|
visibility | AgencyBoardVisibility | Da | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
Odgovor
| Naziv | Vrsta | Obavezno | Što je to |
|---|---|---|---|
id | Uuid | Da | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Da | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
filename | string | Da | — |
content_type | string | Ne | — |
size_bytes | integer | Da | — |
visibility | AgencyBoardVisibility | Ne | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
scan_state | AgencyBoardAttachmentScanState | Da | Where an uploaded file is in the malware pipeline. ⛔ `clean` is the ONLY state the bytes are ever served in — `pending`, `infected` and `error` all refuse, including to the agen… |
downloadable | boolean | Da | ⭐ Whether these bytes may be fetched right now. Computed from the scan state by the engine rather than derived by a caller — two copies of "may this leave the building" is how t… |
uploaded_by | AgencyBoardActor | Ne | — |
created_at | string | Ne | — |
Pogreške koje ova krajnja točka može vratiti
401 · 403 · 404 · 422